HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Create/Update vlan restriction for given service at Global or group

Configuration of allowed/disallowed VLANs applicable to this service

Path Params
string
enum
required

Defines the type of configuration node to which the config is being applied.

Allowed:
string
required

The identifier of the configuration node(aka group). For node-type GLOBAL, node-id should be 'GLOBAL'. For node-type 'GROUP', node-id should be set to the group-name

string
required

Name of the Airgroup service. This should refer to one of the pre-defined services or a custom-service that has been defined by user.

Body Params

JSON representation of vlan_restrictions config

disallowed_vlans
array of objects
length ≤ 20

Disallowed VLAN IDs or range of VLAN IDs (eg '100-200'. This list must be empty if vlans are configured as part of 'allowed_vlans'.

disallowed_vlans
allowed_vlans
array of objects
length ≤ 20

List of allowed VLAN ids or range of VLAN ids. This list must be empty if 'disallowed_vlans' has vlans configured

allowed_vlans
Responses

401

Unauthorized

403

Forbidden

413

Request-size limit exceeded

417

Request-size limit exceeded

429

API Rate limit exceeded

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json